import java.util.ArrayList;
import java.util.Random;

public class ArrayListWrapper implements Structure {
	int size;
	ArrayList<Integer> list;
	Random r = new Random();
	
	public ArrayListWrapper(int size) {
		list = new ArrayList<Integer>(size);
	}
	
	@Override
	public void insertQueue(int elem) {
		if(list.size() != 0) {
			list.add(list.size() - 1, elem);
		} else {
			list.add(elem);
		}
		
	}

	@Override
	public void insertRandom(int elem) {
		if(list.size() != 0) {
			list.add(r.nextInt(list.size()), elem);
		} else {
			list.add(elem);
		}
	}

	@Override
	public void insertHead(int elem) {
		list.add(0, elem);
	}

	@Override
	public void remove(int pos) {
		list.remove(pos);
	}

	@Override
	public int get(int pos) {
		return (int) list.get(pos);
	}
}
